Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class SVGTextContentSupport

    java.lang.Object
      org.apache.batik.dom.svg.SVGTextContentSupport

    public class SVGTextContentSupport

extends Object

This class provides support for the SVGTextContentElement interface.

Nested Class Summary
`static class` | `SVGTextContentSupport.SVGTextPoint`

Constructor Summary
`SVGTextContentSupport()`

Method Summary
`static int` | `getCharNumAtPosition(Element elt, float x, float y)` To implement `SVGTextContentElement.getCharNumAtPosition(SVGPoint point)`.
`static float` | `getComputedTextLength(Element elt)` To implement `SVGTextContentElement.selectSubString(int charnum, int nchars)`.
`protected static Point2D` | `getEndPos(SVGOMElement svgelt, SVGTextContent context, int charnum)`
`static org.w3c.dom.svg.SVGPoint` | `getEndPositionOfChar(Element elt, int charnum)` To implement `SVGTextContentElement.getEndPositionOfChar(int charnum)`.
`protected static Rectangle2D` | `getExtent(SVGOMElement svgelt, SVGTextContent context, int charnum)`
`static org.w3c.dom.svg.SVGRect` | `getExtentOfChar(Element elt, int charnum)` To implement `SVGTextContentElement.getExtentOfChar(int charnum)`.
`static int` | `getNumberOfChars(Element elt)` To implement `SVGTextContentElement.getNumberOfChars()`.
`static float` | `getRotationOfChar(Element elt, int charnum)` To implement `SVGTextContentElement.getRotationOfChar(int charnum)`.
`protected static Point2D` | `getStartPos(SVGOMElement svgelt, SVGTextContent context, int charnum)`
`static org.w3c.dom.svg.SVGPoint` | `getStartPositionOfChar(Element elt, int charnum)` To implement `SVGTextContentElement.getStartPositionOfChar(int charnum)`.
`static float` | `getSubStringLength(Element elt, int charnum, int nchars)` To implement `SVGTextContentElement.selectSubString(int charnum, int nchars)`.
`static void` | `selectSubString(Element elt, int charnum, int nchars)` To implement `SVGTextContentElement.selectSubString(int charnum, int nchars)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGTextContentSupport

    public SVGTextContentSupport()

Method Detail

### getNumberOfChars

    public static int getNumberOfChars(Element elt)

  To implement `SVGTextContentElement.getNumberOfChars()`.

### getExtentOfChar

    public static org.w3c.dom.svg.SVGRect getExtentOfChar(Element elt,
                                                          int charnum)

  To implement `SVGTextContentElement.getExtentOfChar(int charnum)`.

### getExtent

    protected static Rectangle2D getExtent(SVGOMElement svgelt,
                                           SVGTextContent context,
                                           int charnum)

### getStartPositionOfChar

    public static org.w3c.dom.svg.SVGPoint getStartPositionOfChar(Element elt,
                                                                  int charnum)
                                                           throws DOMException

  To implement `SVGTextContentElement.getStartPositionOfChar(int charnum)`.

  Throws:
    `DOMException`

### getStartPos

    protected static Point2D getStartPos(SVGOMElement svgelt,
                                         SVGTextContent context,
                                         int charnum)

### getEndPositionOfChar

    public static org.w3c.dom.svg.SVGPoint getEndPositionOfChar(Element elt,
                                                                int charnum)
                                                         throws DOMException

  To implement `SVGTextContentElement.getEndPositionOfChar(int charnum)`.

  Throws:
    `DOMException`

### getEndPos

    protected static Point2D getEndPos(SVGOMElement svgelt,
                                       SVGTextContent context,
                                       int charnum)

### selectSubString

    public static void selectSubString(Element elt,
                                       int charnum,
                                       int nchars)

  To implement `SVGTextContentElement.selectSubString(int charnum, int nchars)`.

### getRotationOfChar

    public static float getRotationOfChar(Element elt,
                                          int charnum)

  To implement `SVGTextContentElement.getRotationOfChar(int charnum)`.

### getComputedTextLength

    public static float getComputedTextLength(Element elt)

  To implement `SVGTextContentElement.selectSubString(int charnum, int nchars)`.

### getSubStringLength

    public static float getSubStringLength(Element elt,
                                           int charnum,
                                           int nchars)

  To implement `SVGTextContentElement.selectSubString(int charnum, int nchars)`.

### getCharNumAtPosition

    public static int getCharNumAtPosition(Element elt,
                                           float x,
                                           float y)
                                    throws DOMException

  To implement `SVGTextContentElement.getCharNumAtPosition(SVGPoint point)`.

  Throws:
    `DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.